Lineage: List experiments related to Metric
curl --request GET \
--url https://statsigapi.net/console/v1/metrics/{id}/experiments \
--header 'STATSIG-API-KEY: <api-key>'{
"message": "Metrics listed successfully.",
"data": [
{
"id": " ::sum",
"name": " ",
"directionality": "increase",
"type": "sum",
"description": "",
"isPermanent": false,
"isReadOnly": false,
"isHidden": false,
"isVerified": false,
"tags": [],
"creatorName": "Test User",
"creatorEmail": "test@statsig.com",
"createdTime": 1709580516933,
"owner": {
"name": "John Doe",
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
},
"lineage": {
"events": [
"add_to_cart"
],
"metrics": []
},
"team": "test",
"unitTypes": [
"room_id"
],
"metricEvents": [
{
"name": "add_to_cart",
"type": "value",
"criteria": []
}
],
"permalink": "https://console.statsig.com/company_id/metrics/metrics_catalog/%20%20%20%20/sum"
},
{
"id": " ::ratio",
"name": " ",
"directionality": "increase",
"type": "ratio",
"description": "",
"isPermanent": false,
"isReadOnly": false,
"isHidden": false,
"isVerified": false,
"tags": [],
"creatorName": "Test User",
"creatorEmail": "test@statsig.com",
"createdTime": 1709580027061,
"owner": {
"name": "John Doe",
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
},
"lineage": {
"events": [
"add_to_cart",
"."
],
"metrics": []
},
"team": "test",
"unitTypes": [
"namespace_id"
],
"metricEvents": [
{
"name": "add_to_cart",
"type": "count",
"criteria": []
},
{
"name": ".",
"type": "count",
"criteria": []
}
],
"permalink": "https://console.statsig.com/company_id/metrics/metrics_catalog/%20%20%20%20%20%20/ratio"
},
{
"id": "[LOCAL] Time Spent over 500ms::event_count_custom",
"name": "[LOCAL] Time Spent over 500ms",
"directionality": "increase",
"type": "event_count_custom",
"description": "Creating my first Local Metric! How exciting!! ",
"isPermanent": false,
"isReadOnly": false,
"isHidden": false,
"isVerified": false,
"tags": [
"★ Core",
"dashboard_test",
"test_owner_4"
],
"creatorName": "Test User",
"creatorEmail": "test@statsig.com",
"createdTime": 1709594132514,
"owner": {
"name": "John Doe",
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
},
"lineage": {
"events": [
"time_spent_on_page"
],
"metrics": []
},
"team": null,
"unitTypes": [
"userID"
],
"metricEvents": [
{
"name": "time_spent_on_page",
"criteria": [
{
"type": "value",
"column": "!statsig_value",
"condition": ">",
"values": [
"500"
]
}
]
}
],
"permalink": "https://console.statsig.com/company_id/metrics/metrics_catalog/%5BLOCAL%5D%20Time%20Spent%20over%20500ms/event_count_custom"
},
{
"id": "___RENAME_FAILED___::composite_sum",
"name": "rename_test_success",
"directionality": "increase",
"type": "composite_sum",
"description": "This metric will be renamed from something aggressive and capital, to \"rename_test_success\", to help determine where metric renaming worked",
"isPermanent": false,
"isReadOnly": false,
"isHidden": false,
"isVerified": false,
"tags": [
"dashboard_test"
],
"creatorName": "Test User",
"creatorEmail": "test@statsig.com",
"createdTime": 1704923273872,
"owner": {
"name": "John Doe",
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
},
"lineage": {
"events": [],
"metrics": [
"add_to_cart_games::event_count_custom",
"Appliance Purchases::event_count_custom",
"test-test::event_count_custom"
]
},
"team": null,
"unitTypes": [
"userID",
"stableID",
"room_id",
"server_id"
],
"metricEvents": [],
"metricComponentMetrics": [
{
"name": "add_to_cart_games",
"type": "event_count_custom"
},
{
"name": "Appliance Purchases",
"type": "event_count_custom"
},
{
"name": "Test User",
"type": "event_count_custom"
}
],
"permalink": "https://console.statsig.com/company_id/metrics/metrics_catalog/___RENAME_FAILED___/composite_sum"
},
{
"id": "A metric for testing teams::event_count_custom",
"name": "A metric for testing teams",
"directionality": "increase",
"type": "event_count_custom",
"description": "",
"isPermanent": false,
"isReadOnly": false,
"isHidden": false,
"isVerified": false,
"tags": [],
"creatorName": "Test User",
"creatorEmail": "test@statsig.com",
"createdTime": 1706640947812,
"owner": {
"name": "John Doe",
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
},
"lineage": {
"events": [
"add_to_cart"
],
"metrics": []
},
"team": null,
"unitTypes": [
"userID"
],
"metricEvents": [
{
"name": "add_to_cart",
"criteria": [
{
"type": "value",
"column": "",
"condition": "in",
"values": [
"sports"
]
}
]
}
],
"permalink": "https://console.statsig.com/company_id/metrics/metrics_catalog/A%20metric%20for%20testing%20teams/event_count_custom"
}
],
"pagination": {
"itemsPerPage": 5,
"pageNumber": 1,
"totalItems": 2699,
"nextPage": "/console/v1/metrics/list?page=2&limit=5",
"previousPage": null,
"all": "/console/v1/metrics/list"
}
}Metrics
Lineage: List experiments related to Metric
GET
/
console
/
v1
/
metrics
/
{id}
/
experiments
Lineage: List experiments related to Metric
curl --request GET \
--url https://statsigapi.net/console/v1/metrics/{id}/experiments \
--header 'STATSIG-API-KEY: <api-key>'{
"message": "Metrics listed successfully.",
"data": [
{
"id": " ::sum",
"name": " ",
"directionality": "increase",
"type": "sum",
"description": "",
"isPermanent": false,
"isReadOnly": false,
"isHidden": false,
"isVerified": false,
"tags": [],
"creatorName": "Test User",
"creatorEmail": "test@statsig.com",
"createdTime": 1709580516933,
"owner": {
"name": "John Doe",
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
},
"lineage": {
"events": [
"add_to_cart"
],
"metrics": []
},
"team": "test",
"unitTypes": [
"room_id"
],
"metricEvents": [
{
"name": "add_to_cart",
"type": "value",
"criteria": []
}
],
"permalink": "https://console.statsig.com/company_id/metrics/metrics_catalog/%20%20%20%20/sum"
},
{
"id": " ::ratio",
"name": " ",
"directionality": "increase",
"type": "ratio",
"description": "",
"isPermanent": false,
"isReadOnly": false,
"isHidden": false,
"isVerified": false,
"tags": [],
"creatorName": "Test User",
"creatorEmail": "test@statsig.com",
"createdTime": 1709580027061,
"owner": {
"name": "John Doe",
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
},
"lineage": {
"events": [
"add_to_cart",
"."
],
"metrics": []
},
"team": "test",
"unitTypes": [
"namespace_id"
],
"metricEvents": [
{
"name": "add_to_cart",
"type": "count",
"criteria": []
},
{
"name": ".",
"type": "count",
"criteria": []
}
],
"permalink": "https://console.statsig.com/company_id/metrics/metrics_catalog/%20%20%20%20%20%20/ratio"
},
{
"id": "[LOCAL] Time Spent over 500ms::event_count_custom",
"name": "[LOCAL] Time Spent over 500ms",
"directionality": "increase",
"type": "event_count_custom",
"description": "Creating my first Local Metric! How exciting!! ",
"isPermanent": false,
"isReadOnly": false,
"isHidden": false,
"isVerified": false,
"tags": [
"★ Core",
"dashboard_test",
"test_owner_4"
],
"creatorName": "Test User",
"creatorEmail": "test@statsig.com",
"createdTime": 1709594132514,
"owner": {
"name": "John Doe",
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
},
"lineage": {
"events": [
"time_spent_on_page"
],
"metrics": []
},
"team": null,
"unitTypes": [
"userID"
],
"metricEvents": [
{
"name": "time_spent_on_page",
"criteria": [
{
"type": "value",
"column": "!statsig_value",
"condition": ">",
"values": [
"500"
]
}
]
}
],
"permalink": "https://console.statsig.com/company_id/metrics/metrics_catalog/%5BLOCAL%5D%20Time%20Spent%20over%20500ms/event_count_custom"
},
{
"id": "___RENAME_FAILED___::composite_sum",
"name": "rename_test_success",
"directionality": "increase",
"type": "composite_sum",
"description": "This metric will be renamed from something aggressive and capital, to \"rename_test_success\", to help determine where metric renaming worked",
"isPermanent": false,
"isReadOnly": false,
"isHidden": false,
"isVerified": false,
"tags": [
"dashboard_test"
],
"creatorName": "Test User",
"creatorEmail": "test@statsig.com",
"createdTime": 1704923273872,
"owner": {
"name": "John Doe",
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
},
"lineage": {
"events": [],
"metrics": [
"add_to_cart_games::event_count_custom",
"Appliance Purchases::event_count_custom",
"test-test::event_count_custom"
]
},
"team": null,
"unitTypes": [
"userID",
"stableID",
"room_id",
"server_id"
],
"metricEvents": [],
"metricComponentMetrics": [
{
"name": "add_to_cart_games",
"type": "event_count_custom"
},
{
"name": "Appliance Purchases",
"type": "event_count_custom"
},
{
"name": "Test User",
"type": "event_count_custom"
}
],
"permalink": "https://console.statsig.com/company_id/metrics/metrics_catalog/___RENAME_FAILED___/composite_sum"
},
{
"id": "A metric for testing teams::event_count_custom",
"name": "A metric for testing teams",
"directionality": "increase",
"type": "event_count_custom",
"description": "",
"isPermanent": false,
"isReadOnly": false,
"isHidden": false,
"isVerified": false,
"tags": [],
"creatorName": "Test User",
"creatorEmail": "test@statsig.com",
"createdTime": 1706640947812,
"owner": {
"name": "John Doe",
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
},
"lineage": {
"events": [
"add_to_cart"
],
"metrics": []
},
"team": null,
"unitTypes": [
"userID"
],
"metricEvents": [
{
"name": "add_to_cart",
"criteria": [
{
"type": "value",
"column": "",
"condition": "in",
"values": [
"sports"
]
}
]
}
],
"permalink": "https://console.statsig.com/company_id/metrics/metrics_catalog/A%20metric%20for%20testing%20teams/event_count_custom"
}
],
"pagination": {
"itemsPerPage": 5,
"pageNumber": 1,
"totalItems": 2699,
"nextPage": "/console/v1/metrics/list?page=2&limit=5",
"previousPage": null,
"all": "/console/v1/metrics/list"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.statsig.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
id
Query Parameters
Which layer to place the experiment into.
The idType the experiment will be performed on
The team ID associated with the experiment, Enterprise only.
The current status of the experiment
Available options:
active, setup, decision_made, abandoned, archived, experiment_stopped, assignment_stopped When true, only returns stale experiments. If omitted or false, returns all experiments.
Expected valid date in the form of YYYY-MM-DD
Example:
"2024-01-01"
Expected valid date in the form of YYYY-MM-DD
Example:
"2024-01-01"
Filter by experiment type
Available options:
BASE, GEO, SWITCHBACK, PROMPT, SIDECAR, GRID_SEARCH Name of the creator.
ID of the user who created the entity.
Filter by tags
Results per page
Example:
10
Page number
Example:
1
Response
List experiments using metric response
Was this page helpful?
⌘I